# Gullveig

[![Gullveig](./docs/website/static/img/gullveig.png)](https://gullveig.hub256.com/docs/webui)

Gullveig is a free, open-source, light-weight infrastructure and service monitoring and operations support platform.
Gullveig offers monitoring, alerting, and insights services for servers, services and applications, as well
as other useful administrator and operations features.

Gullveig is modular and flexible, and allows for easy development of custom monitoring and reporting modules 
that can be created using nearly any platform or programming language.

Documentation is available at [gullveig.hub256.com](https://gullveig.hub256.com).

## Core features

- Distributed and scalable agent based monitoring architecture.
- Modern, easy to use web interface.
- Time series graphs for resources, counters, metrics and performance data.
- Double-redundant bi-directional remote monitoring.
- Automated alerting and notifications about status changes.
- Rich interface for remote fact and metadata discovery.
- Interactive status dashboard.
- Simple, file based configuration.
- Wide operating system support (written in Python 3).
- Does not depend on third party software for basic operation.
- Built in static documentation server.

## Current status

Gullveig is actively developed and maintained, and is stable enough for production use - it is already used as primary
or as an additional monitoring tool in production deployments, sizes ranging from a handful to a few hundreds of nodes.

All updates and new releases are subject to the [compatibility policy](https://gullveig.hub256.com/docs/setup/upgrading#compatibility).

## License

Licensed under terms and conditions of Apache 2.0 license.
